
QGIS Application - Bug report #5036

Qgis crashes when opening project properties

2012-02-16 06:28 AM - Eric Damtoft

Status: Closed

Priority: High

Assignee:

Category:

Affected QGIS version:1.7.3 Regression?: No

Operating System: Ubuntu Easy fix?: No

Pull Request or Patch supplied:No Resolution: worksforme

Crashes QGIS or corrupts data:No Copied to github as #: 14809

Description

When I open the program and click on project properties from the menu, qgis immediately closes. It closes some of the time when when

opening layers or changing their properties, but the trying to open project properties does it 100% of the time, making qgis essentially

unusable. I'm running version 1.7.3 on ubuntu 11.10. When run form the terminal (opening qgis, clicking on project properties), this is the

result:

Warning: loading of qgis translation failed [/usr/share/qgis/i18n//qgis_en_US]

Warning: loading of qt translation failed [/usr/share/qt4/translations/qt_en_US]

Debug: Connected to accessibility bus at:  "unix:abstract=/tmp/dbus-ICFWFkaY6t,guid=ec3dd7549921866a5d8446e500000038"

Debug: Registered DEC:  true 

Warning: void DBusMenuExporterPrivate::addAction(QAction*, int): Already tracking action "Project Properties..." under id 104 

Warning: void DBusMenuExporterPrivate::addAction(QAction*, int): Already tracking action "Options..." under id 108 

Warning: void DBusMenuExporterPrivate::addAction(QAction*, int): Already tracking action "Snapping Options..." under id 109 

Warning: void DBusMenuExporterPrivate::addAction(QAction*, int): Already tracking action "Configure shortcuts..." under id 107 

Warning: void DBusMenuExporterPrivate::addAction(QAction*, int): Already tracking action "Style manager..." under id 106 

Warning: void DBusMenuExporterPrivate::addAction(QAction*, int): Already tracking action "Custom CRS..." under id 105 

Python support ENABLED :-) 

Loaded : OpenLayers Plugin (package: openlayers)

Loaded : Plugin Installer (package: plugin_installer)

Loaded : fTools (package: fTools)

Loaded : GdalTools (package: GdalTools)

Warning: QVariantMap DBusMenuExporterDBus::getProperties(int, const QStringList&) const: Condition failed: action 

Warning: QgsRasterLayer::loadProviderLibrary: Failed to load 

Warning: Invalid parent:  0x33bae00 QgsApplication(0x7fff9f4a5f70, name = "qgis.bin") 

Warning: Requesting child objects for an interface that is a virtual child itself. 

Warning: Requesting child objects for an interface that is a virtual child itself. 

Warning: Requesting child objects for an interface that is a virtual child itself. 

Warning: Requesting child objects for an interface that is a virtual child itself. 

Warning: Requesting child objects for an interface that is a virtual child itself. 

Warning: Requesting child objects for an interface that is a virtual child itself. 

Warning: Requesting child objects for an interface that is a virtual child itself. 

Warning: Requesting child objects for an interface that is a virtual child itself. 

Warning: Requesting child objects for an interface that is a virtual child itself. 

Warning: Requesting child objects for an interface that is a virtual child itself. 

Warning: Requesting child objects for an interface that is a virtual child itself. 

Warning: Requesting child objects for an interface that is a virtual child itself. 

Warning: Requesting child objects for an interface that is a virtual child itself. 

Warning: Requesting child objects for an interface that is a virtual child itself. 

Warning: Requesting child objects for an interface that is a virtual child itself. 
Warning: Requesting child objects for an interface that is a virtual child itself. 

Warning: Requesting child objects for an interface that is a virtual child itself. 

Warning: Requesting child objects for an interface that is a virtual child itself. 

Warning: QAccessibleWidget::rect: This implementation does not support subelements! (ID 1 unknown for QTextEdit)

Warning: Requesting child objects for an interface that is a virtual child itself. 

Warning: QAccessibleWidget::rect: This implementation does not support subelements! (ID 2 unknown for QTextEdit)

Warning: Requesting child objects for an interface that is a virtual child itself. 

Warning: QAccessibleWidget::rect: This implementation does not support subelements! (ID 3 unknown for QTextEdit)

Warning: Requesting child objects for an interface that is a virtual child itself. 

Warning: Requesting child objects for an interface that is a virtual child itself. 

Warning: Creating accessible with different object than the original interface! 

Warning: Creating accessible with different object than the original interface! 

Debug: show QMenuBar(0x225a730, name = "menubar") 

Warning: Creating accessible with different object than the original interface! 

Warning: Creating accessible with different object than the original interface! 

Warning: Creating accessible with different object than the original interface! 

Warning: void DBusMenuExporterPrivate::addAction(QAction*, int): Already tracking action "Project Properties..." under id 13 

Warning: void DBusMenuExporterPrivate::addAction(QAction*, int): Already tracking action "Custom CRS..." under id 50 

Warning: void DBusMenuExporterPrivate::addAction(QAction*, int): Already tracking action "Style manager..." under id 49 

Warning: void DBusMenuExporterPrivate::addAction(QAction*, int): Already tracking action "Configure shortcuts..." under id 48 

Warning: void DBusMenuExporterPrivate::addAction(QAction*, int): Already tracking action "Options..." under id 46 

Warning: void DBusMenuExporterPrivate::addAction(QAction*, int): Already tracking action "Snapping Options..." under id 47 

Warning: Creating accessible with different object than the original interface! 

Warning: Creating accessible with different object than the original interface! 

Warning: Creating accessible with different object than the original interface! 

Warning: Creating accessible with different object than the original interface! 

Warning: Creating accessible with different object than the original interface! 

Warning: Creating accessible with different object than the original interface! 

Warning: Requesting child objects for an interface that is a virtual child itself. 

Warning: Requesting child objects for an interface that is a virtual child itself. 

Warning: Creating accessible with different object than the original interface! 

Warning: Creating accessible with different object than the original interface! 

Warning: Requesting child objects for an interface that is a virtual child itself. 

Warning: Requesting child objects for an interface that is a virtual child itself. 

Warning: Requesting child objects for an interface that is a virtual child itself. 

Warning: Creating accessible with different object than the original interface! 

Warning: Creating accessible with different object than the original interface! 

Warning: QAccessibleWidget::rect: This implementation does not support subelements! (ID 1 unknown for QTextEdit)

Warning: Requesting child objects for an interface that is a virtual child itself. 

Warning: QAccessibleWidget::rect: This implementation does not support subelements! (ID 2 unknown for QTextEdit)

Warning: Requesting child objects for an interface that is a virtual child itself. 

Warning: QAccessibleWidget::rect: This implementation does not support subelements! (ID 3 unknown for QTextEdit)

Warning: Requesting child objects for an interface that is a virtual child itself. 

Warning: Requesting child objects for an interface that is a virtual child itself. 

Warning: Requesting child objects for an interface that is a virtual child itself. 

Warning: Requesting child objects for an interface that is a virtual child itself. 

Warning: Requesting child objects for an interface that is a virtual child itself. 

Warning: Requesting child objects for an interface that is a virtual child itself. 

Warning: Creating accessible with different object than the original interface! 

Warning: Creating accessible with different object than the original interface! 

Warning: Creating accessible with different object than the original interface! 

Warning: Creating accessible with different object than the original interface! 

Warning: Creating accessible with different object than the original interface! 
Warning: Creating accessible with different object than the original interface! 

Warning: Creating accessible with different object than the original interface! 

Warning: Creating accessible with different object than the original interface! 

Warning: Creating accessible with different object than the original interface! 

Warning: Creating accessible with different object than the original interface! 

Warning: Creating accessible with different object than the original interface! 

Warning: Creating accessible with different object than the original interface! 

Fatal: ASSERT: "interface && interface->isValid()" in file bridge.cpp, line 164

Aborted

History

#1 - 2012-02-16 07:02 AM - Jürgen Fischer

How can we reproduce this?  Seems related to QtAccessibility and might be a more general ubuntu bug (see e.g. 

https://bugs.launchpad.net/ubuntu/+source/at-spi2-core/+bug/877358)

#2 - 2012-02-16 07:02 AM - Jürgen Fischer

- Status changed from Open to Feedback

#3 - 2012-02-16 08:24 AM - Eric Damtoft

I looked up the ubuntu bug with QtAccessible and tried running it in unity 2D as was suggested there, which resolved problem. It does look like it is a more

general ubuntu bug. It's not Ideal, but this does let me use qgis. Thanks a lot for helping.

#4 - 2012-02-17 11:44 AM - Jürgen Fischer

- Resolution set to worksforme

- Status changed from Feedback to Closed
